from dataclasses import dataclass
from enum import Enum, auto


class SortType(Enum):
    ALPHA = auto()
    NOSORT = auto()


@dataclass(frozen=True)
class MainSettings:
    Sort: SortType = SortType.NOSORT
    ShowAll: bool = False
